package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.base.enums.BaseEnum;
import com.yonge.toolset.base.util.StringUtil;

/***
 * 老师类型枚举
 * @author liweifan
 * @updateTime 2022/3/23 17:01
 */

public enum TeacherTagEnum implements BaseEnum<String, TeacherTagEnum> {
    STYLE("个人风采"),
    VIDEO("视频课"),
    MUSIC("曲目"),
    LIVE("直播课");
    @EnumValue
    private String code;
    private String msg;

    TeacherTagEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

}
